%define ver 0.0.3
%define rel 1

Summary:	Utilities and LaTeX package for slide presentations using xdvik
Version: 	%ver
Release:	%rel
Name:		cct-slides
Group:		Applications/Publishing
Requires:	tetex tetex-fonts tetex-latex cct >= 0.5.0 xdvik >= 22.74.1
Source:		cct-slides.tar.bz2
URL:		ftp://lsec.cc.ac.cn/pub/cct
Packager:	Zhang Lin-bo <zlb@lsec.cc.ac.cn>
License:	non-commercial use
BuildRoot:	/var/tmp/cct-slides-root

%description

Utilities and a LaTeX package for slide presentations using xdvik under
Linux.

%prep
%setup -q -n cct-slides

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/texmf/tex/cct \
	 $RPM_BUILD_ROOT/usr/bin \
	 $RPM_BUILD_ROOT/usr/share/doc/cct-slides
/bin/cp -af slides slides2pdf slides-browser slides-functions \
	$RPM_BUILD_ROOT/usr/bin/.
/bin/cp -af sample.tex bgblue.jpg bgwhite.jpg \
	$RPM_BUILD_ROOT/usr/share/doc/cct-slides/.
/bin/cp -af cctslides.sty $RPM_BUILD_ROOT/usr/share/texmf/tex/cct/.

%clean
rm -rf $RPM_BUILD_ROOT

%post
texhash

%postun
texhash

%files
%defattr(-,root,root)
%{_prefix}/bin/slides
%{_prefix}/bin/slides2pdf
%{_prefix}/bin/slides-browser
%{_prefix}/bin/slides-functions
%{_prefix}/share/texmf/tex/cct/cctslides.sty
%{_prefix}/share/doc/cct-slides/sample.tex
%{_prefix}/share/doc/cct-slides/bgblue.jpg
%{_prefix}/share/doc/cct-slides/bgwhite.jpg

%changelog

* Wed Nov 19 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- version 0.0.3 release 1

* Thu Sep 25 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- cctslides.sty: new commands \mathcoloron, \mathcoloroff

- slides-browser: lines changing ' ' ==> '\ ' commented out

* Wed Sep 24 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- slides-browser: adds '-fixed-vo' option to mplayer and redirect stdin/out to
  /dev/null to allow running `slides' without a control terminal.

- cctslides.sty: adds \URL command and allows using any characters other than
  '{' and '}' in the URL argument.

* Tue Sep  9 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- slides: use bgblue.jpg as default background for blue bg slides

* Sun Sep  7 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- slides: changed papersize to screensize-2 for xdvik-22.77.1

* Mon Sep  1 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- slides: offsets/papersize calculations revised (more accurate centering
  of contents on the screen).
  
  deleted '-bbox' option, added '-margin #' option

- slides-browser: bug fix ('/usr/bin/xdvi sample.dummy' didn't work)

* Tue Aug 26 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- slides: allow to use arbitrary magnification/resolution (may not work
  with pk fonts).

* Thu Aug 21 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- cctslides.sty: change color for rmfamily to black for white bg

- slides-browser: use gvim as the default file browser
  (the GTK2 version of gvim (>= 6.2) is required)

- slides, slides2pdf: add '-bbox' option.

* Thu Jul 17 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- Created the RPM package.
